## ptouch-print 1.5+20

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

project(ptouch-print C)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

include(GNUInstallDirs)
set(CMAKE_INSTALL_PREFIX /usr)
set(CMAKE_C_STANDARD 11)

# Configure required dependencies
find_package(Gettext REQUIRED)
find_package(GD REQUIRED)
find_package(Git REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Intl REQUIRED)

pkg_check_modules(LIBUSB REQUIRED libusb-1.0)

# Configure project executable
add_executable(${PROJECT_NAME})

target_include_directories(${PROJECT_NAME} PUBLIC
	${CMAKE_BINARY_DIR}	# HB9HEI - location of generated version.h
	${CMAKE_SOURCE_DIR}/include
	${GD_INCLUDE_DIR}
	${LIBUSB_INCLUDE_DIRS}
	${Intl_INCLUDE_DIRS}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
	${GD_LIBRARIES}
	${LIBUSB_LIBRARIES}
	${LIBUSB_LINK_LIBRARIES}
	${Intl_LIBRARIES}
)

target_sources(${PROJECT_NAME} PRIVATE
	include/ptouch.h
	include/gettext.h
	src/libptouch.c
	src/ptouch-print.c
)

add_dependencies(${PROJECT_NAME}
	git-version
)

target_compile_definitions(${PROJECT_NAME} PUBLIC
	LOCALEDIR="${CMAKE_INSTALL_LOCALEDIR}"
	USING_CMAKE=1
	PACKAGE="ptouch-print"
)

target_compile_options(${PROJECT_NAME} PUBLIC
	-g
	-Wall
	-Wextra
	-Wunused
	-O3
	-fPIC
)

# HB9HEI - custom target that produces version.h	(req. cmake 3.0)
add_custom_target(git-version ALL
	${CMAKE_COMMAND} -P ${CMAKE_CURRENT_SOURCE_DIR}/cmake/gitversion.cmake
)

install(TARGETS ${PROJECT_NAME} DESTINATION bin)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/ptouch-print.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

## ptouch-print 1.5

=== debian/changelog ===
ptouch-print (1.5-2) trixie; urgency=medium

  * Adds chain mode

 -- Shirkanesi <shirkanesi@shirkanesi.com>  Sun, 23 Jun 2024 09:13:27 +0000

ptouch-print (1.5-1) fsmi-bookworm; urgency=medium

  * Initial release.

 -- Shirkanesi <shirkanesi@shirkanesi.com>  Thu, 21 Dec 2023 10:01:08 +0000

=== debian/control ===
Source: ptouch-print
Section: misc
Priority: optional
Maintainer: Shirkanesi <shirkanesi@shirkanesi.com>
Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, libgd-dev, gettext, cmake, git
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Vcs-Git: https://git.familie-radermacher.ch/linux/ptouch-print.git
Vcs-Browser: https://git.familie-radermacher.ch/linux/ptouch-print.git
Homepage: https://git.familie-radermacher.ch/linux/ptouch-print.git

Package: ptouch-print
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
# , libusb-1.0-0, libgd3
# Depends: perl, libnet-ip-perl, libnet-dns-perl, libio-socket-ip-perl,
#  iproute2, iptables, tayga, systemd, ${perl:Depends}, ${misc:Depends}
Description: Print on brother ptouch without using cups
 ptouch-print is a command line tool to print labels on Brother P-Touch
 printers on Linux.
 .
 There is no need to install the printer via CUPS, the printer is accessed
 directly via libusb.

## ptouch-print 1.5+20

=== debian/changelog ===
ptouch-print (1.5+20) stable; urgency=medium

  * Initial release.

 -- Jan Baier <jan.baier@amagical.net>  Wed, 03 Apr 2024 12:10:54 +0200

=== debian/control ===
Source: ptouch-print
Section: text
Priority: optional
Maintainer: Jan Baier <jan.baier@amagical.net>
Build-Depends:
    cmake,
    debhelper (>= 13),
    debhelper-compat (= 13),
    gettext,
    git,
    libgd-dev,
    libjpeg62-turbo-dev,
    libpng-dev,
    libusb-1.0-0-dev,
    pkg-config,
    zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: ptouch-print
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Print labels on Brother P-touch printers on Linux
 ptouch-print is a command line tool to print labels on Brother P-Touch
 printers on Linux.
 .
 There is no need to install the printer via CUPS, the printer is accessed
 directly via libusb.
 .
 The tool was written for and tested with the PT-2430PC, but meanwhile is also
 used with others (see "ptouch-print --list-supported")

## ptouch-print 1.5+27

=== CMakeLists.txt ===
--- 
+++ 
@@ -69,3 +69,8 @@
 install(TARGETS ${PROJECT_NAME} DESTINATION bin)
 
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/ptouch-print.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+
+if(EXISTS /etc/udev/rules.d)
+	install(FILES udev/90-usb-ptouch-permissions.rules DESTINATION /etc/udev/rules.d)
+	install(CODE "execute_process(COMMAND udevadm control --reload-rules)")
+endif()

=== debian/changelog ===
ptouch-print (1.5+27) stable; urgency=medium

  * Update to 9cae7f4

 -- Jan Baier <jan.baier@amagical.net>  Wed, 14 Aug 2024 11:22:39 +0200
